using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using SilverlightWithMvc.Web.Models;

namespace SilverlightWithMvc.Web.Controllers
{
    public class ProductController : Controller
    {
        public ActionResult Detail(int id)
        {
            NorthwindDataContext ctx = new NorthwindDataContext();
            var productDetails = from product in ctx.Products
                                 where product.ProductID == id
                                 select new
                                 {
                                     ProductId = product.ProductID,
                                     Name = product.ProductName,
                                     Price = product.UnitPrice
                                 };

            return Json(productDetails);
        }
    }
}